pci_hp_register
Prev | PCI Hotplug Support Library | Next

## Name

pci_hp_register — register a hotplug_slot with the PCI hotplug subsystem

## Synopsis

`int pci_hp_register (` | struct hotplug_slot * | slot`)`;

## Arguments

`slot`

  pointer to the struct hotplug_slot to register

## Description

Registers a hotplug slot with the pci hotplug subsystem, which will allow userspace interaction to the slot.

Returns 0 if successful, anything else for an error.

Prev | Up | Next
PCI Hotplug Support Library | Home | pci_hp_deregister